Both the avatar_id and voice_id can be easily obtained by copying them directly from the web interface. You can also create and manage your streaming avatars using our intuitive web platform.Create and manage your avatars at: https://akool.com/apps/upload/avatar?from=%2Fapps%2Fstreaming-avatar%2Fedit
Knowledge Base Integration: You can enhance your streaming avatar with contextual AI responses by integrating a Knowledge Base. When creating a session, provide a knowledge_id parameter to enable the AI to use documents and URLs from your knowledge base for more accurate and relevant responses.
ElevenLabs Custom Configuration: You can use your own ElevenLabs API key and customize voice parameters by providing elevenlabs_settings within the voice_params object. This allows you to:
Use your own ElevenLabs account and billing
Choose specific ElevenLabs models (e.g., eleven_flash_v2_5, eleven_turbo_v2_5)
Fine-tune voice characteristics such as stability, similarity_boost, and style
Enable speaker boost for improved voice cloning quality
When using ElevenLabs custom settings, specify your desired ElevenLabs voice ID in the voice_id field, and the backend will pass through all your custom parameters to ElevenLabs.Minimax Custom Configuration: You can also use your own Minimax API key and customize voice parameters by providing minimax_settings within the voice_params object. Configure the model, language boost, voice ID, speed, volume, pitch, and emotion in voice_setting.Example payload can be found in the right sidebar.
Your API Key used for request authorization. If both Authorization and x-api-key have values, Authorization will be used first and x-api-key will be discarded.
Digital human model in real-time avatar. If you want to use a custom uploaded video, you need to call the avatar/create interface to create a template. This process takes some time to process. You can check the processing status through the avatar/detail interface. When status=3, you can use the avatar_id field to pass it in.
Session duration in seconds (max: 3600). Credits are pre-charged for the full duration, but any unused credits will be refunded after the session ends. Rates depend on your subscription plan.
Knowledge base ID to provide context for AI responses. Create and manage knowledge bases using the Knowledge Base API. When provided, the AI will use documents and URLs from the knowledge base to enhance response accuracy.
Voice ID to change avatar's voice. Get valid IDs from Voice List API. Note that voice IDs from Akool Multilingual 2 cannot be used with Streaming Avatar.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Akool open api documents","colors":{"primary":"#8458cc","light":"#8458cc","dark":"#8458cc"},"logo":{"light":"https://mintcdn.com/akoolinc/u9MBxlCI2oetjK9S/logo/akool-light.svg?fit=max\u0026auto=format\u0026n=u9MBxlCI2oetjK9S\u0026q=85\u0026s=2582701d216adf76106f6e8f9923ac06","dark":"https://mintcdn.com/akoolinc/u9MBxlCI2oetjK9S/logo/akool-dark.svg?fit=max\u0026auto=format\u0026n=u9MBxlCI2oetjK9S\u0026q=85\u0026s=82c18ef3c0fd2b749f84c5f74db06ad2"},"favicon":"https://mintcdn.com/akoolinc/u9MBxlCI2oetjK9S/favicon.svg?fit=max\u0026auto=format\u0026n=u9MBxlCI2oetjK9S\u0026q=85\u0026s=ca76b853cf720af4753831ccd6f2d69f","api":{"openapi":["openapi/live-avatar.yaml","openapi/faceswap.yaml","openapi/video-translation.yaml","openapi/talking-photo.yaml","openapi/face-detection.yaml","openapi/face-detect-legacy.yaml","openapi/swap-studio-v5.yaml"],"playground":{"display":"simple"},"mdx":{"server":"https://openapi.akool.com"}},"navbar":{"links":[{"href":"mailto:info@akool.com","label":"Support"}],"primary":{"type":"button","label":"Akool","href":"https://akool.com"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"akoolinc","hasAudioNarration":false,"actualSubdomain":"akoolinc","customDomains":["docs.akool.com"],"gitSource":{"type":"github","owner":"jinjuezhou","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad5e1eec7b789e3c49ec5e7","collectionId":"b12eb73c-27b0-45cf-aaf5-d6a1adc2f5bc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad5e1eec7b789e3c49ec5e7"},"entitlements":{},"buildId":"6ad5e1eec7b789e3c49ec5e7","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Documentation","count":82},{"language":"default","tag":"API Endpoints","count":50},{"language":"default","tag":"Swap Studio V5","count":27},{"language":"default","tag":"Streaming Avatar","count":15},{"language":"default","tag":"AI Tools Suite","count":11},{"language":"default","tag":"Face Swap","count":9},{"language":"default","tag":"Image to Video","count":7},{"language":"default","tag":"Character Swap V5","count":6},{"language":"default","tag":"Clothing Swap V5","count":6},{"language":"default","tag":"Head Swap V5","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"ai-tools-suite/live-avatar/create-session","slug":"/ai-tools-suite/live-avatar/create-session","pageMetadata":{"title":"Create Session","description":"Create a new streaming avatar session","openapi":"POST /api/open/v4/liveAvatar/session/create","href":"/ai-tools-suite/live-avatar/create-session"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a new streaming avatar session\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsxs(Note,{children:[_jsx(_components.p,{children:`Both the avatar_id and voice_id can be easily obtained by copying them directly from the web interface. You can also create and manage your streaming avatars using our intuitive web platform.`}),_jsxs(_components.p,{children:[`Create and manage your avatars at: `,_jsx(_components.a,{href:`https://akool.com/apps/upload/avatar?from=%2Fapps%2Fstreaming-avatar%2Fedit`,children:`https://akool.com/apps/upload/avatar?from=%2Fapps%2Fstreaming-avatar%2Fedit`})]})]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Knowledge Base Integration:`}),` You can enhance your streaming avatar with contextual AI responses by integrating a `,_jsx(_components.a,{href:`/ai-tools-suite/knowledge-base`,children:`Knowledge Base`}),`. When creating a session, provide a `,_jsx(_components.code,{children:`knowledge_id`}),` parameter to enable the AI to use documents and URLs from your knowledge base for more accurate and relevant responses.`]})}),`\n`,_jsxs(Note,{children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`ElevenLabs Custom Configuration:`}),` You can use your own ElevenLabs API key and customize voice parameters by providing `,_jsx(_components.code,{children:`elevenlabs_settings`}),` within the `,_jsx(_components.code,{children:`voice_params`}),` object. This allows you to:`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Use your own ElevenLabs account and billing`}),`\n`,_jsx(_components.li,{children:`Choose specific ElevenLabs models (e.g., eleven_flash_v2_5, eleven_turbo_v2_5)`}),`\n`,_jsx(_components.li,{children:`Fine-tune voice characteristics such as stability, similarity_boost, and style`}),`\n`,_jsx(_components.li,{children:`Enable speaker boost for improved voice cloning quality`}),`\n`]}),_jsxs(_components.p,{children:[`When using ElevenLabs custom settings, specify your desired ElevenLabs voice ID in the `,_jsx(_components.code,{children:`voice_id`}),` field, and the backend will pass through all your custom parameters to ElevenLabs.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Minimax Custom Configuration:`}),` You can also use your own Minimax API key and customize voice parameters by providing `,_jsx(_components.code,{children:`minimax_settings`}),` within the `,_jsx(_components.code,{children:`voice_params`}),` object. Configure the model, language boost, voice ID, speed, volume, pitch, and emotion in `,_jsx(_components.code,{children:`voice_setting`}),`.`]}),_jsx(_components.p,{children:`Example payload can be found in the right sidebar.`})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Session","description":"Create a new streaming avatar session","openapi":"POST /api/open/v4/liveAvatar/session/create","href":"/ai-tools-suite/live-avatar/create-session"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create Session","description":"Create a new streaming avatar session","tags":["Session Management"],"requestBody":"50a74103-3ddd-49ff-9b1c-954b670b058f","responses":{"200":"e0322a85-a3fa-409a-9fee-2d76bc5a561b"},"method":"post","type":"path","servers":["c407f9c4-4b02-4a0d-b37e-808531100ba7"],"security":["7d098bf3-018e-4c57-bfa2-276afe1b41eb","572cfc68-70a5-480f-9927-c2b584437bc6"],"path":"/api/open/v4/liveAvatar/session/create","baseUrlOptions":["https://openapi.akool.com"],"title":"Create Session","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["avatar_id"],"properties":{"avatar_id":{"type":"string","description":"Digital human model in real-time avatar. If you want to use a custom uploaded video, you need to call the avatar/create interface to create a template. This process takes some time to process. You can check the processing status through the avatar/detail interface. When status=3, you can use the avatar_id field to pass it in.","isRequired":true,"uniqueKey":"avatar_id","typeLabel":"string"},"duration":{"type":"number","maximum":3600,"description":"Session duration in seconds (max: 3600). Credits are pre-charged for the full duration, but any unused credits will be refunded after the session ends. Rates depend on your subscription plan.","uniqueKey":"duration","typeLabel":"number"},"knowledge_id":{"type":"string","description":"Knowledge base ID to provide context for AI responses. Create and manage knowledge bases using the Knowledge Base API. When provided, the AI will use documents and URLs from the knowledge base to enhance response accuracy.","uniqueKey":"knowledge_id","typeLabel":"string"},"voice_id":{"type":"string","description":"Voice ID to change avatar's voice. Get valid IDs from Voice List API. Note that voice IDs from Akool Multilingual 2 cannot be used with Streaming Avatar.","uniqueKey":"voice_id","typeLabel":"string"},"voice_url":{"type":"string","description":"Custom voice model URL. Get valid URLs from Voice List API","uniqueKey":"voice_url","typeLabel":"string"},"language":{"type":"string","description":"Language code to use for the session. Get valid codes from Language List API","uniqueKey":"language","typeLabel":"string"},"mode_type":{"type":"integer","enum":[1,2],"description":"Avatar interaction mode that determines how the avatar responds to input:\n- `1`: Retelling mode - Avatar repeats the provided content verbatim\n- `2`: Dialogue mode - Avatar engages in conversational interaction\n","uniqueKey":"mode_type","typeLabel":"enum\u003cinteger>"},"scene_mode":{"type":"string","enum":["fast_dialogue"],"description":"Scene mode for the session.\n\n- `fast_dialogue`: Low-latency dialogue mode. Optimized for realtime voice interaction and **voice input only**.\n","uniqueKey":"scene_mode","typeLabel":"enum\u003cstring>"},"e2e_type":{"type":"string","enum":["openai"],"description":"End-to-end (E2E) pipeline provider. Only applicable when `scene_mode` is `fast_dialogue`.\n\n- `openai`: OpenAI\n","uniqueKey":"e2e_type","typeLabel":"enum\u003cstring>"},"background_url":{"type":"string","description":"URL of background image/video for avatar scene","uniqueKey":"background_url","typeLabel":"string"},"voice_params":{"oneOf":[{"type":"object","description":"Voice configuration for the session.\n\nUse `Option 2` when `scene_mode` is `fast_dialogue`. Otherwise use `Option 1`.\n","properties":{"speed":{"type":"number","minimum":0.8,"maximum":1.2,"default":1,"description":"Controls the speed of the generated speech. Values range from 0.8 to 1.2, with 1.0 being the default speed.","uniqueKey":"voice_params.oneOf.0.speed","typeLabel":"number"},"pron_map":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"voice_params.oneOf.0.pron_map.additionalProperties","typeLabel":"string"},"description":"Pronunciation mapping for custom words. Example: pron_map with akool mapped to ai ku er","uniqueKey":"voice_params.oneOf.0.pron_map","typeLabel":"object"},"stt_language":{"type":"string","description":"Language code for speech-to-text recognition to improve accuracy by using language-specific models. If not specified, default language or auto-detection will be used.","uniqueKey":"voice_params.oneOf.0.stt_language","typeLabel":"string"},"stt_type":{"type":"string","enum":["openai_realtime"],"description":"Speech-to-text type. \"openai_realtime\" = OpenAI Realtime","uniqueKey":"voice_params.oneOf.0.stt_type","typeLabel":"enum\u003cstring>"},"turn_detection":{"type":"object","properties":{"type":{"type":"string","enum":["server_vad","semantic_vad"],"description":"Turn detection type. \"server_vad\" = Server VAD, \"semantic_vad\" = Semantic VAD","uniqueKey":"voice_params.oneOf.0.turn_detection.type","typeLabel":"enum\u003cstring>"},"threshold":{"type":"number","minimum":0,"maximum":1,"description":"Activation threshold (0 to 1). A higher threshold will require louder audio to activate the model, and thus might perform better in noisy environments. Available when type is \"server_vad\".","uniqueKey":"voice_params.oneOf.0.turn_detection.threshold","typeLabel":"number"},"prefix_padding_ms":{"type":"integer","description":"Amount of audio (in milliseconds) to include before the VAD detected speech. Available when type is \"server_vad\".","uniqueKey":"voice_params.oneOf.0.turn_detection.prefix_padding_ms","typeLabel":"integer"},"silence_duration_ms":{"type":"integer","description":"Duration of silence (in milliseconds) to detect speech stop. With shorter values turns will be detected more quickly. Available when type is \"server_vad\".","uniqueKey":"voice_params.oneOf.0.turn_detection.silence_duration_ms","typeLabel":"integer"}},"uniqueKey":"voice_params.oneOf.0.turn_detection","typeLabel":"object"},"elevenlabs_settings":{"type":"object","description":"ElevenLabs custom voice configuration. Allows you to use your own ElevenLabs API key and customize voice parameters. The voice_id should be specified in the main voice_id field of the session request.","properties":{"api_key":{"type":"string","description":"Your ElevenLabs API key for authentication","uniqueKey":"voice_params.oneOf.0.elevenlabs_settings.api_key","typeLabel":"string"},"model_id":{"type":"string","description":"ElevenLabs model ID to use for voice generation (e.g., \"eleven_flash_v2_5\", \"eleven_turbo_v2_5\", \"eleven_multilingual_v2\")","uniqueKey":"voice_params.oneOf.0.elevenlabs_settings.model_id","typeLabel":"string"},"stability":{"type":"number","minimum":0,"maximum":1,"description":"Controls the stability of the voice. Higher values make the voice more consistent, lower values add more variation. Range is 0 to 1.","uniqueKey":"voice_params.oneOf.0.elevenlabs_settings.stability","typeLabel":"number"},"similarity_boost":{"type":"number","minimum":0,"maximum":1,"description":"Controls how closely the AI should adhere to the original voice. Higher values stick closer to the original voice. Range is 0 to 1.","uniqueKey":"voice_params.oneOf.0.elevenlabs_settings.similarity_boost","typeLabel":"number"},"style":{"type":"number","minimum":0,"maximum":1,"description":"Controls the style exaggeration of the voice. Range is 0 to 1.","uniqueKey":"voice_params.oneOf.0.elevenlabs_settings.style","typeLabel":"number"},"use_speaker_boost":{"type":"boolean","description":"Enhances the similarity to the original speaker. Recommended for improved voice cloning quality.","uniqueKey":"voice_params.oneOf.0.elevenlabs_settings.use_speaker_boost","typeLabel":"boolean"}},"uniqueKey":"voice_params.oneOf.0.elevenlabs_settings","typeLabel":"object"},"minimax_settings":{"type":"object","description":"Minimax custom voice configuration. Allows you to use your own Minimax API key and customize voice parameters.","properties":{"api_key":{"type":"string","description":"Your Minimax API key for authentication","uniqueKey":"voice_params.oneOf.0.minimax_settings.api_key","typeLabel":"string"},"model":{"type":"string","description":"Minimax speech model ID to use for voice generation","example":"speech-2.8-turbo","uniqueKey":"voice_params.oneOf.0.minimax_settings.model","typeLabel":"string"},"language_boost":{"type":"string","description":"Language boost option for Minimax speech generation","example":"auto","uniqueKey":"voice_params.oneOf.0.minimax_settings.language_boost","typeLabel":"string"},"voice_setting":{"type":"object","description":"Minimax voice parameters","properties":{"voice_id":{"type":"string","description":"Minimax voice ID","example":"English_Gentle-voiced_man","uniqueKey":"voice_params.oneOf.0.minimax_settings.voice_setting.voice_id","typeLabel":"string"},"speed":{"type":"number","description":"Voice speed","example":1,"uniqueKey":"voice_params.oneOf.0.minimax_settings.voice_setting.speed","typeLabel":"number"},"vol":{"type":"number","description":"Voice volume","example":1,"uniqueKey":"voice_params.oneOf.0.minimax_settings.voice_setting.vol","typeLabel":"number"},"pitch":{"type":"number","description":"Voice pitch","example":0,"uniqueKey":"voice_params.oneOf.0.minimax_settings.voice_setting.pitch","typeLabel":"number"},"emotion":{"type":"string","description":"Voice emotion","example":"angry","uniqueKey":"voice_params.oneOf.0.minimax_settings.voice_setting.emotion","typeLabel":"string"}},"uniqueKey":"voice_params.oneOf.0.minimax_settings.voice_setting","typeLabel":"object"}},"uniqueKey":"voice_params.oneOf.0.minimax_settings","typeLabel":"object"}},"uniqueKey":"voice_params.oneOf.0","typeLabel":"object"},{"type":"object","description":"Voice configuration for the session.\n\nUse `Option 2` when `scene_mode` is `fast_dialogue`. Otherwise use `Option 1`.\n","properties":{"voice_id":{"type":"string","enum":["alloy","ash","ballad","coral","echo","sage","shimmer","verse","marin","cedar"],"description":"Preset voice ID used in fast dialogue mode.\n\nNotes:\n- Voices returned by the Voice List API are **not** available in this mode.\n","uniqueKey":"voice_params.oneOf.1.voice_id","typeLabel":"enum\u003cstring>"},"stt_language":{"type":"string","description":"Language code for speech-to-text recognition to improve accuracy by using language-specific models. If not specified, default language or auto-detection will be used.","uniqueKey":"voice_params.oneOf.1.stt_language","typeLabel":"string"},"turn_detection":{"type":"object","properties":{"type":{"type":"string","enum":["server_vad","semantic_vad"],"description":"Turn detection type. \"server_vad\" = Server VAD, \"semantic_vad\" = Semantic VAD","uniqueKey":"voice_params.oneOf.1.turn_detection.type","typeLabel":"enum\u003cstring>"},"threshold":{"type":"number","minimum":0,"maximum":1,"description":"Activation threshold (0 to 1). A higher threshold will require louder audio to activate the model, and thus might perform better in noisy environments. Available when type is \"server_vad\".","uniqueKey":"voice_params.oneOf.1.turn_detection.threshold","typeLabel":"number"},"prefix_padding_ms":{"type":"integer","description":"Amount of audio (in milliseconds) to include before the VAD detected speech. Available when type is \"server_vad\".","uniqueKey":"voice_params.oneOf.1.turn_detection.prefix_padding_ms","typeLabel":"integer"},"silence_duration_ms":{"type":"integer","description":"Duration of silence (in milliseconds) to detect speech stop. With shorter values turns will be detected more quickly. Available when type is \"server_vad\".","uniqueKey":"voice_params.oneOf.1.turn_detection.silence_duration_ms","typeLabel":"integer"}},"uniqueKey":"voice_params.oneOf.1.turn_detection","typeLabel":"object"},"elevenlabs_settings":{"type":"object","description":"ElevenLabs custom voice configuration. Allows you to use your own ElevenLabs API key and customize voice parameters. The voice_id should be specified in the main voice_id field of the session request.","properties":{"api_key":{"type":"string","description":"Your ElevenLabs API key for authentication","uniqueKey":"voice_params.oneOf.1.elevenlabs_settings.api_key","typeLabel":"string"},"model_id":{"type":"string","description":"ElevenLabs model ID to use for voice generation (e.g., \"eleven_flash_v2_5\", \"eleven_turbo_v2_5\", \"eleven_multilingual_v2\")","uniqueKey":"voice_params.oneOf.1.elevenlabs_settings.model_id","typeLabel":"string"},"stability":{"type":"number","minimum":0,"maximum":1,"description":"Controls the stability of the voice. Higher values make the voice more consistent, lower values add more variation. Range is 0 to 1.","uniqueKey":"voice_params.oneOf.1.elevenlabs_settings.stability","typeLabel":"number"},"similarity_boost":{"type":"number","minimum":0,"maximum":1,"description":"Controls how closely the AI should adhere to the original voice. Higher values stick closer to the original voice. Range is 0 to 1.","uniqueKey":"voice_params.oneOf.1.elevenlabs_settings.similarity_boost","typeLabel":"number"},"style":{"type":"number","minimum":0,"maximum":1,"description":"Controls the style exaggeration of the voice. Range is 0 to 1.","uniqueKey":"voice_params.oneOf.1.elevenlabs_settings.style","typeLabel":"number"},"use_speaker_boost":{"type":"boolean","description":"Enhances the similarity to the original speaker. Recommended for improved voice cloning quality.","uniqueKey":"voice_params.oneOf.1.elevenlabs_settings.use_speaker_boost","typeLabel":"boolean"}},"uniqueKey":"voice_params.oneOf.1.elevenlabs_settings","typeLabel":"object"},"minimax_settings":{"type":"object","description":"Minimax custom voice configuration. Allows you to use your own Minimax API key and customize voice parameters.","properties":{"api_key":{"type":"string","description":"Your Minimax API key for authentication","uniqueKey":"voice_params.oneOf.1.minimax_settings.api_key","typeLabel":"string"},"model":{"type":"string","description":"Minimax speech model ID to use for voice generation","example":"speech-2.8-turbo","uniqueKey":"voice_params.oneOf.1.minimax_settings.model","typeLabel":"string"},"language_boost":{"type":"string","description":"Language boost option for Minimax speech generation","example":"auto","uniqueKey":"voice_params.oneOf.1.minimax_settings.language_boost","typeLabel":"string"},"voice_setting":{"type":"object","description":"Minimax voice parameters","properties":{"voice_id":{"type":"string","description":"Minimax voice ID","example":"English_Gentle-voiced_man","uniqueKey":"voice_params.oneOf.1.minimax_settings.voice_setting.voice_id","typeLabel":"string"},"speed":{"type":"number","description":"Voice speed","example":1,"uniqueKey":"voice_params.oneOf.1.minimax_settings.voice_setting.speed","typeLabel":"number"},"vol":{"type":"number","description":"Voice volume","example":1,"uniqueKey":"voice_params.oneOf.1.minimax_settings.voice_setting.vol","typeLabel":"number"},"pitch":{"type":"number","description":"Voice pitch","example":0,"uniqueKey":"voice_params.oneOf.1.minimax_settings.voice_setting.pitch","typeLabel":"number"},"emotion":{"type":"string","description":"Voice emotion","example":"angry","uniqueKey":"voice_params.oneOf.1.minimax_settings.voice_setting.emotion","typeLabel":"string"}},"uniqueKey":"voice_params.oneOf.1.minimax_settings.voice_setting","typeLabel":"object"}},"uniqueKey":"voice_params.oneOf.1.minimax_settings","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"voice_params.oneOf.1","typeLabel":"object"}],"uniqueKey":"voice_params","typeLabel":"object"},"stream_type":{"type":"string","enum":["agora","livekit","trtc"],"default":"agora","description":"Stream type to use for the session. \"agora\" = Agora (default), \"livekit\" = Livekit, \"trtc\" = TRTC","uniqueKey":"stream_type","typeLabel":"enum\u003cstring>"},"credentials":{"type":"object","properties":{"agora_uid":{"type":"number","description":"Agora SDK user ID (required when stream_type is \"agora\")","uniqueKey":"credentials.agora_uid","typeLabel":"number"},"agora_app_id":{"type":"string","description":"Agora App ID (optional when stream_type is \"agora\")","uniqueKey":"credentials.agora_app_id","typeLabel":"string"},"agora_channel":{"type":"string","description":"Agora channel name (required when stream_type is \"agora\")","uniqueKey":"credentials.agora_channel","typeLabel":"string"},"agora_token":{"type":"string","description":"Agora access token (required when stream_type is \"agora\")","uniqueKey":"credentials.agora_token","typeLabel":"string"},"livekit_url":{"type":"string","description":"LiveKit server URL (required when stream_type is \"livekit\")","uniqueKey":"credentials.livekit_url","typeLabel":"string"},"livekit_token":{"type":"string","description":"LiveKit access token (required when stream_type is \"livekit\")","uniqueKey":"credentials.livekit_token","typeLabel":"string"},"livekit_room_name":{"type":"string","description":"LiveKit room name (optional when stream_type is \"livekit\")","uniqueKey":"credentials.livekit_room_name","typeLabel":"string"},"livekit_server_identity":{"type":"string","description":"LiveKit server identity (optional when stream_type is \"livekit\")","uniqueKey":"credentials.livekit_server_identity","typeLabel":"string"},"livekit_client_identity":{"type":"string","description":"LiveKit client identity (optional when stream_type is \"livekit\")","uniqueKey":"credentials.livekit_client_identity","typeLabel":"string"},"trtc_sdk_app_id":{"type":"number","description":"TRTC App ID (required when stream_type is \"trtc\")","uniqueKey":"credentials.trtc_sdk_app_id","typeLabel":"number"},"trtc_sdk_room_id":{"type":"string","description":"TRTC room ID (required when stream_type is \"trtc\")","uniqueKey":"credentials.trtc_sdk_room_id","typeLabel":"string"},"trtc_sdk_user_id":{"type":"string","description":"TRTC user ID (required when stream_type is \"trtc\")","uniqueKey":"credentials.trtc_sdk_user_id","typeLabel":"string"},"trtc_sdk_user_sig":{"type":"string","description":"TRTC authentication token (userSig) (required when stream_type is \"trtc\")","uniqueKey":"credentials.trtc_sdk_user_sig","typeLabel":"string"}},"uniqueKey":"credentials","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"example":{"avatar_id":"dvp_Tristan_cloth2_1080P","duration":3600,"voice_id":"iP95p4xoKVk53GoZ742B","language":"en","mode_type":2,"knowledge_id":"64f8a1b2c3d4e5f6a7b8c9d0","background_url":"https://example.com/background.jpg","stream_type":"agora","credentials":{"agora_uid":100000,"agora_app_id":"your-app-id","agora_channel":"your-channel","agora_token":"your-token"},"voice_params":{"speed":1,"stt_language":"en","pron_map":{"akool":"ai ku er"},"stt_type":"openai_realtime","turn_detection":{"type":"server_vad","threshold":0.5,"prefix_padding_ms":300,"silence_duration_ms":500},"elevenlabs_settings":{"api_key":"sk_your_elevenlabs_api_key","model_id":"eleven_flash_v2_5","stability":0.5,"similarity_boost":0.75,"style":0,"use_speaker_boost":true},"minimax_settings":{"api_key":"your api key","model":"speech-2.8-turbo","language_boost":"auto","voice_setting":{"voice_id":"English_Gentle-voiced_man","speed":1,"vol":1,"pitch":0,"emotion":"angry"}}}},"examples":{"Example":{"title":"Example","value":{"avatar_id":"dvp_Tristan_cloth2_1080P","duration":3600,"voice_id":"iP95p4xoKVk53GoZ742B","language":"en","mode_type":2,"knowledge_id":"64f8a1b2c3d4e5f6a7b8c9d0","background_url":"https://example.com/background.jpg","stream_type":"agora","credentials":{"agora_uid":100000,"agora_app_id":"your-app-id","agora_channel":"your-channel","agora_token":"your-token"},"voice_params":{"speed":1,"stt_language":"en","pron_map":{"akool":"ai ku er"},"stt_type":"openai_realtime","turn_detection":{"type":"server_vad","threshold":0.5,"prefix_padding_ms":300,"silence_duration_ms":500},"elevenlabs_settings":{"api_key":"sk_your_elevenlabs_api_key","model_id":"eleven_flash_v2_5","stability":0.5,"similarity_boost":0.75,"style":0,"use_speaker_boost":true},"minimax_settings":{"api_key":"your api key","model":"speech-2.8-turbo","language_boost":"auto","voice_setting":{"voice_id":"English_Gentle-voiced_man","speed":1,"vol":1,"pitch":0,"emotion":"angry"}}}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"e0322a85-a3fa-409a-9fee-2d76bc5a561b":{"description":"Session created successfully","content":{"application/json":{"schema":{"type":"object","required":["code","msg"],"properties":{"code":{"type":"integer","description":"Interface returns business status code (1000: success)","example":1000,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"msg":{"type":"string","description":"Interface returns status information","example":"OK","isRequired":true,"uniqueKey":"msg","typeLabel":"string"},"data":{"type":"object","properties":{"_id":{"type":"string","description":"Session ID","uniqueKey":"data._id","typeLabel":"string"},"uid":{"type":"integer","description":"User ID","uniqueKey":"data.uid","typeLabel":"integer"},"type":{"type":"integer","description":"Session type","uniqueKey":"data.type","typeLabel":"integer"},"status":{"type":"integer","enum":[1,2,3,4],"description":"Session status (1:queueing, 2:processing, 3:completed, 4:failed)","uniqueKey":"data.status","typeLabel":"enum\u003cinteger>"},"stream_type":{"type":"string","description":"Stream type used for the session","uniqueKey":"data.stream_type","typeLabel":"string"},"credentials":{"type":"object","properties":{"agora_uid":{"type":"number","description":"Agora SDK user ID (required when stream_type is \"agora\")","uniqueKey":"data.credentials.agora_uid","typeLabel":"number"},"agora_app_id":{"type":"string","description":"Agora App ID (optional when stream_type is \"agora\")","uniqueKey":"data.credentials.agora_app_id","typeLabel":"string"},"agora_channel":{"type":"string","description":"Agora channel name (required when stream_type is \"agora\")","uniqueKey":"data.credentials.agora_channel","typeLabel":"string"},"agora_token":{"type":"string","description":"Agora access token (required when stream_type is \"agora\")","uniqueKey":"data.credentials.agora_token","typeLabel":"string"},"livekit_url":{"type":"string","description":"LiveKit server URL (required when stream_type is \"livekit\")","uniqueKey":"data.credentials.livekit_url","typeLabel":"string"},"livekit_token":{"type":"string","description":"LiveKit access token (required when stream_type is \"livekit\")","uniqueKey":"data.credentials.livekit_token","typeLabel":"string"},"livekit_room_name":{"type":"string","description":"LiveKit room name (optional when stream_type is \"livekit\")","uniqueKey":"data.credentials.livekit_room_name","typeLabel":"string"},"livekit_server_identity":{"type":"string","description":"LiveKit server identity (optional when stream_type is \"livekit\")","uniqueKey":"data.credentials.livekit_server_identity","typeLabel":"string"},"livekit_client_identity":{"type":"string","description":"LiveKit client identity (optional when stream_type is \"livekit\")","uniqueKey":"data.credentials.livekit_client_identity","typeLabel":"string"},"trtc_sdk_app_id":{"type":"number","description":"TRTC App ID (required when stream_type is \"trtc\")","uniqueKey":"data.credentials.trtc_sdk_app_id","typeLabel":"number"},"trtc_sdk_room_id":{"type":"string","description":"TRTC room ID (required when stream_type is \"trtc\")","uniqueKey":"data.credentials.trtc_sdk_room_id","typeLabel":"string"},"trtc_sdk_user_id":{"type":"string","description":"TRTC user ID (required when stream_type is \"trtc\")","uniqueKey":"data.credentials.trtc_sdk_user_id","typeLabel":"string"},"trtc_sdk_user_sig":{"type":"string","description":"TRTC authentication token (userSig) (required when stream_type is \"trtc\")","uniqueKey":"data.credentials.trtc_sdk_user_sig","typeLabel":"string"}},"uniqueKey":"data.credentials","typeLabel":"object"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":1000,"msg":"OK","data":{"_id":"\u003cstring>","uid":123,"type":123,"status":1,"stream_type":"\u003cstring>","credentials":{"agora_uid":123,"agora_app_id":"\u003cstring>","agora_channel":"\u003cstring>","agora_token":"\u003cstring>","livekit_url":"\u003cstring>","livekit_token":"\u003cstring>","livekit_room_name":"\u003cstring>","livekit_server_identity":"\u003cstring>","livekit_client_identity":"\u003cstring>","trtc_sdk_app_id":123,"trtc_sdk_room_id":"\u003cstring>","trtc_sdk_user_id":"\u003cstring>","trtc_sdk_user_sig":"\u003cstring>"}}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7d098bf3-018e-4c57-bfa2-276afe1b41eb":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your API Key used for request authorization. If both Authorization and x-api-key have values, Authorization will be used first and x-api-key will be discarded.","scopes":[],"schemeName":"ApiKeyAuth"}},"572cfc68-70a5-480f-9927-c2b584437bc6":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your API Key used for request authorization. Get Token from authentication/usage#get-the-token","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"c407f9c4-4b02-4a0d-b37e-808531100ba7":{"url":"https://openapi.akool.com","description":"Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your API Key used for request authorization. If both Authorization and x-api-key have values, Authorization will be used first and x-api-key will be discarded.","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","description":"Your API Key used for request authorization. If both Authorization and x-api-key have values, Authorization will be used first and x-api-key will be discarded.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your API Key used for request authorization. Get Token from authentication/usage#get-the-token","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your API Key used for request authorization. Get Token from authentication/usage#get-the-token","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi/live-avatar.yaml"},"subdomain":"akoolinc","siteName":"Akool open api documents","title":"Create Session - Akool open api documents","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-12T06:38:30.384Z","originalFileLocation":"ai-tools-suite/live-avatar/create-session.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new streaming avatar session\">\u003cmeta data-mint-head name=\"application-name\" content=\"Akool open api documents\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Session - Akool open api documents\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new streaming avatar session\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Akool open api documents\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://akoolinc.mintlify.app/_mintlify/api/og/v2?division=API+Endpoints\u0026amp;title=Create+Session\u0026amp;description=Create+a+new+streaming+avatar+session\u0026amp;theme=7d7e450ed224174404f3747e\u0026amp;signature=e87ec362276c617aba69fb06b65ec4bb5b15b76321b8d129a4377d578431184a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Session - Akool open api documents\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new streaming avatar session\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://akoolinc.mintlify.app/_mintlify/api/og/v2?division=API+Endpoints\u0026amp;title=Create+Session\u0026amp;description=Create+a+new+streaming+avatar+session\u0026amp;theme=7d7e450ed224174404f3747e\u0026amp;signature=e87ec362276c617aba69fb06b65ec4bb5b15b76321b8d129a4377d578431184a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/akoolinc/qGYShipUZpalh1A-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Akool open api documents\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#8458cc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/ai-tools-suite/live-avatar/create-session.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.akool.com/#organization\",\"name\":\"Akool open api documents\",\"url\":\"https://docs.akool.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/akoolinc/u9MBxlCI2oetjK9S/logo/akool-light.svg?fit=max\u0026auto=format\u0026n=u9MBxlCI2oetjK9S\u0026q=85\u0026s=2582701d216adf76106f6e8f9923ac06\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.akool.com#website\",\"name\":\"Akool open api documents\",\"url\":\"https://docs.akool.com\",\"publisher\":{\"@id\":\"https://docs.akool.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session#webpage\",\"url\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session\",\"name\":\"Create Session\",\"description\":\"Create a new streaming avatar session\",\"dateModified\":\"2026-06-12T06:38:30.384Z\",\"isPartOf\":{\"@id\":\"https://docs.akool.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Streaming Avatar\",\"item\":\"https://docs.akool.com/ai-tools-suite/live-avatar\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"API Endpoints\",\"item\":\"https://docs.akool.com/ai-tools-suite/live-avatar/upload\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Session\",\"item\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session#apireference\",\"headline\":\"Create Session\",\"name\":\"Create Session\",\"description\":\"Create a new streaming avatar session\",\"url\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session\",\"mainEntityOfPage\":{\"@id\":\"https://docs.akool.com/ai-tools-suite/live-avatar/create-session#webpage\"},\"dateModified\":\"2026-06-12T06:38:30.384Z\",\"publisher\":{\"@id\":\"https://docs.akool.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.akool.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Akool open api documents\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Akool open api documents","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","groups":[{"group":"Authentication","pages":[{"title":"Usage","href":"/authentication/usage"}]},{"group":"Face Swap","pages":[{"title":"Face Swap API Overview","href":"/ai-tools-suite/faceswap"},{"group":"API Endpoints","pages":[{"title":"Face Swap Plus (Image \u0026 Video)","openapi":"POST /api/open/v4/faceswap/faceswapPlusByImage","href":"/ai-tools-suite/faceswap/faceswap-plus"},{"title":"Face Swap Pro","openapi":"POST /api/open/v4/faceswap/faceswapByImage","href":"/ai-tools-suite/faceswap/image-faceswap-v4"},{"title":"Image Faceswap","openapi":"POST /api/open/v3/faceswap/highquality/specifyimage","href":"/ai-tools-suite/faceswap/image-faceswap"},{"title":"Video Faceswap","openapi":"POST /api/open/v3/faceswap/highquality/specifyvideo","href":"/ai-tools-suite/faceswap/video-faceswap"},{"title":"Get Faceswap Result List","openapi":"GET /api/open/v3/faceswap/result/listbyids","href":"/ai-tools-suite/faceswap/get-result"},{"title":"Delete Faceswap Results","openapi":"POST /api/open/v3/faceswap/result/delbyids","href":"/ai-tools-suite/faceswap/delete-result"},{"title":"Get User Credit Info","openapi":"GET /api/open/v3/faceswap/quota/info","href":"/ai-tools-suite/faceswap/get-credit"},{"title":"Face Detect (Legacy)","openapi":"POST /detect","href":"/ai-tools-suite/faceswap/face-detect"}]}]},{"group":"Streaming Avatar","pages":[{"title":"Streaming Avatar API Overview","href":"/ai-tools-suite/live-avatar"},{"group":"API Endpoints","pages":[{"title":"Upload Streaming Avatar","openapi":"POST /api/open/v3/avatar/create","href":"/ai-tools-suite/live-avatar/upload"},{"title":"Get Streaming Avatar List","openapi":"GET /api/open/v4/liveAvatar/avatar/list","href":"/ai-tools-suite/live-avatar/list"},{"title":"Get Streaming Avatar Detail","description":"Retrieve detailed information about a specific streaming avatar","openapi":"GET /api/open/v4/liveAvatar/avatar/detail","href":"/ai-tools-suite/live-avatar/detail"},{"title":"Create Session","openapi":"POST /api/open/v4/liveAvatar/session/create","href":"/ai-tools-suite/live-avatar/create-session"},{"title":"Get Session Detail","description":"Retrieve detailed information about a specific streaming avatar session","openapi":"GET /api/open/v4/liveAvatar/session/detail","href":"/ai-tools-suite/live-avatar/session-detail"},{"title":"Close Session","openapi":"POST /api/open/v4/liveAvatar/session/close","href":"/ai-tools-suite/live-avatar/close-session"},{"title":"Get Session List","openapi":"GET /api/open/v4/liveAvatar/session/list","href":"/ai-tools-suite/live-avatar/list-sessions"}]},{"group":"Implementation Guides","pages":[{"title":"Streaming Avatar Integration Guide","href":"/implementation-guide/streaming-avatar"},{"title":"LiveKit Agent Integration","href":"/implementation-guide/livekit-agent"}]},{"group":"Integrate with AKOOL SA SDK","pages":[{"title":"Streaming Avatar SDK Quick Start","href":"/sdk/jssdk-start"},{"title":"Streaming Avatar SDK Best Practices","href":"/sdk/jssdk-best-practice"},{"title":"Streaming Avatar SDK API Reference","href":"/sdk/jssdk-api"}]},{"title":"Knowledge Base","href":"/ai-tools-suite/knowledge-base"},{"title":"Vision Sense","href":"/ai-tools-suite/live-camera"}]},{"group":"Talking Photo","pages":[{"title":"Talking Photo API Overview","href":"/ai-tools-suite/talking-photo"},{"group":"API Endpoints","pages":[{"title":"Create By Talking Photo","openapi":"POST /api/open/v3/content/video/createbytalkingphoto","href":"/ai-tools-suite/talking-photo/create-video"},{"title":"Get Video Info Result","openapi":"GET /api/open/v3/content/video/infobymodelid","href":"/ai-tools-suite/talking-photo/get-result"}]}]},{"group":"Video Translation","pages":[{"title":"Video Translation API Overview","href":"/ai-tools-suite/video-translation"},{"group":"API Endpoints","pages":[{"title":"Create Video Translation","openapi":"POST /api/open/v3/content/video/createbytranslate","href":"/ai-tools-suite/video-translation/create-translation"},{"title":"Get Video Translation Result","openapi":"GET /api/open/v3/content/video/infobymodelid","href":"/ai-tools-suite/video-translation/get-result"},{"title":"Get Language List","openapi":"GET /api/open/v3/language/list","href":"/ai-tools-suite/video-translation/get-languages"}]}]},{"group":"Face Detection","pages":[{"title":"Face Detection API Overview","href":"/ai-tools-suite/face-detection"},{"title":"Detect Faces","openapi":"POST /detect_faces","href":"/ai-tools-suite/face-detection/detect-faces"},{"title":"Analyze Frames","openapi":"POST /faceswap/analyze_frames","href":"/ai-tools-suite/face-detection/analyze-frames"}]},{"group":"Swap Studio V5","pages":[{"title":"Swap Studio V5","href":"/ai-tools-suite/swap-studio/overview"},{"group":"Character Swap V5","pages":[{"title":"Character Swap V5 API Overview","href":"/ai-tools-suite/swap-studio/character-swap-v5"},{"group":"API Endpoints","pages":[{"title":"List Models","openapi":"GET /api/open/v5/characterSwap/models","href":"/ai-tools-suite/swap-studio/character-swap-v5/models"},{"title":"Create Task","openapi":"POST /api/open/v5/characterSwap/create","href":"/ai-tools-suite/swap-studio/character-swap-v5/create"},{"title":"Get Task Result","openapi":"GET /api/open/v5/characterSwap/task/detail","href":"/ai-tools-suite/swap-studio/character-swap-v5/get-result"},{"title":"Analyze Source Material","openapi":"POST /api/open/v5/characterSwap/analyze","href":"/ai-tools-suite/swap-studio/character-swap-v5/analyze"},{"title":"Get Analysis Result","openapi":"GET /api/open/v5/characterSwap/analyze/detail","href":"/ai-tools-suite/swap-studio/character-swap-v5/analysis-result"}]}]},{"group":"Motion Swap V5","pages":[{"title":"Motion Swap V5 API Overview","href":"/ai-tools-suite/swap-studio/motion-swap-v5"},{"group":"API Endpoints","pages":[{"title":"List Models","openapi":"GET /api/open/v5/motionSwap/models","href":"/ai-tools-suite/swap-studio/motion-swap-v5/models"},{"title":"Create Task","openapi":"POST /api/open/v5/motionSwap/create","href":"/ai-tools-suite/swap-studio/motion-swap-v5/create"},{"title":"Get Task Result","openapi":"GET /api/open/v5/motionSwap/task/detail","href":"/ai-tools-suite/swap-studio/motion-swap-v5/get-result"}]}]},{"group":"Head Swap V5","pages":[{"title":"Head Swap V5 API Overview","href":"/ai-tools-suite/swap-studio/head-swap-v5"},{"group":"API Endpoints","pages":[{"title":"List Models","openapi":"GET /api/open/v5/headswap/models","href":"/ai-tools-suite/swap-studio/head-swap-v5/models"},{"title":"Create Task","openapi":"POST /api/open/v5/headswap/create","href":"/ai-tools-suite/swap-studio/head-swap-v5/create"},{"title":"Get Task Result","openapi":"GET /api/open/v5/headswap/task/detail","href":"/ai-tools-suite/swap-studio/head-swap-v5/get-result"},{"title":"Analyze Source Material","openapi":"POST /api/open/v5/headswap/analyze","href":"/ai-tools-suite/swap-studio/head-swap-v5/analyze"},{"title":"Get Analysis Result","openapi":"GET /api/open/v5/headswap/analyze/detail","href":"/ai-tools-suite/swap-studio/head-swap-v5/analysis-result"}]}]},{"group":"Clothing Swap V5","pages":[{"title":"Clothing Swap V5 API Overview","href":"/ai-tools-suite/swap-studio/clothing-swap-v5"},{"group":"API Endpoints","pages":[{"title":"List Models","openapi":"GET /api/open/v5/clothingSwap/models","href":"/ai-tools-suite/swap-studio/clothing-swap-v5/models"},{"title":"Create Task","openapi":"POST /api/open/v5/clothingSwap/create","href":"/ai-tools-suite/swap-studio/clothing-swap-v5/create"},{"title":"Get Task Result","openapi":"GET /api/open/v5/clothingSwap/task/detail","href":"/ai-tools-suite/swap-studio/clothing-swap-v5/get-result"},{"title":"Analyze Source Material","openapi":"POST /api/open/v5/clothingSwap/analyze","href":"/ai-tools-suite/swap-studio/clothing-swap-v5/analyze"},{"title":"Get Analysis Result","openapi":"GET /api/open/v5/clothingSwap/analyze/detail","href":"/ai-tools-suite/swap-studio/clothing-swap-v5/analysis-result"}]}]},{"group":"Hair Swap V5","pages":[{"title":"Hair Swap V5 API Overview","href":"/ai-tools-suite/swap-studio/hair-swap-v5"},{"group":"API Endpoints","pages":[{"title":"List Models","openapi":"GET /api/open/v5/hairswap/models","href":"/ai-tools-suite/swap-studio/hair-swap-v5/models"},{"title":"Create Task","openapi":"POST /api/open/v5/hairswap/create","href":"/ai-tools-suite/swap-studio/hair-swap-v5/create"},{"title":"Get Task Result","openapi":"GET /api/open/v5/hairswap/task/detail","href":"/ai-tools-suite/swap-studio/hair-swap-v5/get-result"}]}]}]},{"group":"Image Generate","pages":[{"title":"Image Generate API Overview","href":"/ai-tools-suite/image-generate/image-generate"},{"group":"API Endpoints","pages":[{"title":"Text to Image / Image to Image","href":"/ai-tools-suite/image-generate/create-by-source-prompt"},{"title":"Generate 4K or Variations","href":"/ai-tools-suite/image-generate/create-by-button"},{"title":"Get Image Result","href":"/ai-tools-suite/image-generate/get-result"}]}]},{"group":"Image to Video","pages":[{"title":"Image to Video API Overview","href":"/ai-tools-suite/image2video/image2video"},{"group":"API Endpoints","pages":[{"title":"Create Image to Video","href":"/ai-tools-suite/image2video/create-video"},{"title":"Create Batch Image to Video","href":"/ai-tools-suite/image2video/create-batch"},{"title":"Get Image to Video Results","href":"/ai-tools-suite/image2video/get-results"},{"title":"Get Available Effects","href":"/ai-tools-suite/image2video/get-effects"},{"title":"Update Video Audio","href":"/ai-tools-suite/image2video/update-audio"},{"title":"Delete Videos","href":"/ai-tools-suite/image2video/delete-videos"}]}]},{"group":"AI Tools Suite","pages":[{"title":"Live Face Swap","href":"/ai-tools-suite/live-faceswap"},{"title":"Reage","href":"/ai-tools-suite/reage"},{"title":"VoiceLab","href":"/ai-tools-suite/voiceLab"},{"title":"Video Translation API Overview","href":"/ai-tools-suite/video-translation"},{"title":"Talking Photo API Overview","href":"/ai-tools-suite/talking-photo"},{"title":"Talking Avatar","href":"/ai-tools-suite/talking-avatar"},{"title":"LipSync","href":"/ai-tools-suite/lip-sync"},{"title":"Jarvis Moderator","href":"/ai-tools-suite/jarvis-moderator"},{"title":"AI Model","href":"/ai-tools-suite/aimodel"},{"title":"Webhook","href":"/ai-tools-suite/webhook"},{"title":"ErrorCode","href":"/ai-tools-suite/error-code"}]}]},{"anchor":"Overview","icon":"book-open-cover","pages":[{"title":"Overview","href":""}]},{"anchor":"Github","icon":"github","href":"https://github.com/AKOOL-Official"},{"anchor":"Postman","icon":"mailbox","color":{"light":"#FF6C37","dark":"#FF6C37"},"href":"https://www.postman.com/akoolai/team-workspace/collection/40971792-f9172546-2d7e-4b28-bb20-b86988f3ab1d?action=share\u0026creator=40971792"},{"anchor":"CLI","icon":"terminal","pages":[{"title":"CLI","href":"/cli"}]},{"anchor":"MCP","icon":"plug","pages":[{"title":"MCP","href":"/mcp-server"}]},{"anchor":"Blog","icon":"newspaper","href":"https://akool.com/blog"},{"anchor":"Change Logs","icon":"clock-rotate-left","pages":[{"title":"Change Logs","href":"/changelog"}]}]},"basePath":"","title":"Create Session - Akool open api documents","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}